#include "fahrstuhl.h"
#include <iostream>

Fahrstuhl::Fahrstuhl(): aktuelleEtage(0), zielEtage(0)
{

}

void Fahrstuhl::hoch() {
   elektromotor.antreiben();
    aktuelleEtage++;
    elektromotor.bewegezurPosition(aktuelleEtage);
    elektromotor.stop();
}

void Fahrstuhl::runter() {
    elektromotor.antreiben();
    aktuelleEtage--;
    elektromotor.bewegezurPosition(aktuelleEtage);
    elektromotor.stop();
}

void Fahrstuhl::rechts() {
    elektromotor.antreiben();
    std::cout << "Der Fahrstuhl bewegt sich nach rechts." << std::endl;
    elektromotor.stop();
}

void Fahrstuhl::links() {
    elektromotor.antreiben();
    std::cout << "Der Fahrstuhl bewegt sich nach links." << std::endl;
    elektromotor.stop();
}

void Fahrstuhl::bewegeFahrstuhl() {
    if (gewichtssensor.istRamenSchuesselErkannt()) {
        std::cout << "Gewicht erkannt. Der Fahrstuhl bewegt sich von Etage " << aktuelleEtage << " zu Etage " << zielEtage << "." << std::endl;
       // elektromotor.antreiben();
        //elektromotor.bewegezurPosition(zielEtage);
        aktuelleEtage = zielEtage;
        //elektromotor.stop();
        stoppeAnLichtsensoren();
    } else {
        std::cout << "Kein ausreichendes Gewicht erkannt. Der Fahrstuhl bleibt auf Etage " << aktuelleEtage << "." << std::endl;
    }
}

void Fahrstuhl::setzeZielEtage(int etage) {
    zielEtage = etage;
}

void Fahrstuhl::fuegeLichtsensorHinzu(Lichtsensor* sensor) {
    lichtsensoren.push_back(sensor);
}

void Fahrstuhl::stoppeAnLichtsensoren() {
    for (Lichtsensor* sensor : lichtsensoren) {
        if (sensor->istLichtErkannt()) {
            std::cout << "Lichtsensor erkannt. Der Fahrstuhl stoppt an Etage " << aktuelleEtage << "." << std::endl;
            elektromotor.stop();
        }
    }
}

int Fahrstuhl::getAktuelleEtage() const {
    return aktuelleEtage;
}

int Fahrstuhl::getZielEtage() const {
    return zielEtage;
}

/*
void Fahrstuhl::fahreZuEtage(int etage) {
    std::cout << "Fahrstuhl fährt zur Etage " << etage << std::endl;
    elektromotor.bewegezurPosition(etage);
    elektromotor.antreiben();
}

void Fahrstuhl::stop() {
    elektromotor.stop();
}

int Fahrstuhl::getAktuellePosition() const {
    return elektromotor.getPosition();
}
*/
